<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        #hidden-div {
            position: relative;
        }
        #hidden-id {
            display: none;
        }
    </style>
    <script type="text/javascript">
        function copyToClipBoard(id)
        {
            console.log('a');
            var el = document.getElementById('hidden-id');
            var copyEl = document.createElement("input");
            var div = document.getElementById('hidden-div');

            copyEl.setAttribute('id', 'hidden-id-backup');
            copyEl.setAttribute('value', id);

            div.appendChild(copyEl);

            el.setAttribute('readonly', '');
            el.style = "{position: 'absolute', left: '-9999px'}";
            el.value = id;

            // Select text inside element
            el.select();
            // Copy text to clipboard
            document.execCommand('copy');

            el.parentNode.removeChild(el);
            copyEl.setAttribute('id', 'hidden-id');
        }
    </script>
</head>
<body>
    <div class="main-container">
        <p> Hi, </p>
        <p> Your id is: <b> {{id}} </b> </p>
        <div id="hidden-div">
            <input id="hidden-id" value="{{id}}" style="display:none"/>
        </div>
        <!--
        <button onclick='copyToClipBoard("{{id}}")'>
            Copy the id
        </button>
        -->
        <p> Yours trully, </p>
        <p> The ABP team </p>
    </div>

</body>
</html>
